Subject: Re: bug#29165: 26.0.90; can't use some code byte-compiled under emacs 24

From: Noam Postavsky <[email-masked]>
Date: Wed, 13 Dec 2017 17:36:01 -0500

close 29165 26.1
quit

On Mon, Nov 27, 2017 at 5:24 PM, Noam Postavsky
<[email-masked]> wrote:
> On Mon, Nov 13, 2017 at 3:05 PM, Noam Postavsky
> <[email-masked]> wrote:
>> On Mon, Nov 13, 2017 at 2:42 PM, Ken Raeburn <[email-masked]> wrote:
>>
>>> But even if we do make it an error, isn’t there usually a stage where it’s just a warning?
>>
>> Maybe. There hasn't been this time (for plain defun, I mean).
>
> As another case, there wasn't any warning stage for changing setq to
> only accept an even number of arguments.
>
>>> (And if we’re going to make that sort of thing an error, we should probably check whether empty &key or &aux variable lists are similarly rejected.  I haven’t looked.)
>>
>> I believe empty &key would be tested in my patch, though not &aux.
>
> Updated patch which handles &aux as well. I also tested a bootstrap
> (doing this I found the previous patch messed up some positive cases).

Pushed to emacs-26.

[1: e7b1111]: 2017-12-13 17:31:27 -0500
  Mention new strictness for &optional, &rest in arglists (Bug#29165)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e7b1111155b3116d0c7b137e0e1d312db0f1ca80